﻿html {
    background-image: url("../img/MarchMadness_grid.gif");
}

body {
    font-family: Arial, Helvetica, sans-serif;
}

.boldTitle {
    font-weight: bold;
}

/* BEGIN LOADER */
#loader {
    position: absolute;
    display: none;
    z-index: 1;
    left: 50%;
    top: 60%;
    width: 120px;
    height: 120px;
    margin: -76px 0 0 -76px;
    border: 16px solid #203380;
    border-radius: 50%;
    border-top: 16px solid #ffffff;
    -webkit-animation: spin 1.5s linear infinite;
    animation: spin 1.5s linear infinite;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
/*END LOADER*/

/*Grid Areas*/
.main-head {
    grid-area: header;
}

.content {
    grid-area: content;
}

.main-nav {
    grid-area: nav;
}

.side {
    grid-area: sidebar;
}

.rside {
    grid-area: rsidebar;
}

.timeZoneLabel {
    grid-area: timeZoneLabel;
}

.dateLabel {
    grid-area: dateLabel;
}

.dateList {
    grid-area: dateList;
}

.timeZoneList {
    grid-area: timeZoneList;
}

#dateButton {
    grid-area: dateButton;
}

#feedButton {
    grid-area: feedButton;
}

.timeZoneLabel, .timeZoneList, .dateLabel, .dateList, #feedButton, #dateButton {
    background-color: #afb2b2;
}

.navBox {
    background-color: #afb2b2;
    grid-area: navBox;
    display: grid;
    grid-gap: 5px;
    border: 5px solid #afb2b2;
    
    justify-content: space-evenly;
    justify-items: center;
    align-content: space-evenly;
    align-items: center;

    grid-template-areas:
        "timeZoneLabel"
        "timeZoneList"
        "dateLabel"
        "dateList"
        "dateButton"
        "feedButton"
}
/*End Grid Areas*/

/*Start Header*/
#masthead {
    background-image: url("../img/MarchMadness_logo.svg");
    height: 10rem;
    background-repeat: no-repeat;
    background-position: center top;
}
/*End Header*/

#feedButton > img {
    object-fit: cover;
    max-height: 1.5rem;
    cursor: pointer;
}

#dateButton > img {
    object-fit: cover;
    max-height: 1.5rem;
    cursor: pointer;
}

.timeZoneList , .dateList  {
    top: 0em;
    width: 100%;
    padding: .25em .25em;
    border-radius: .2em;
}

.timeZoneList select, .dateList select {
    top: 0em;
    width: 100%;
    padding: .25em .25em;
    border-radius: .2em;
}

.content {
    display:contents;
    background: #f1e9f7;
    border: 10px solid #afb2b2;
    text-align: center;
}

.content {
    background-color: orange;
}

#wrapper {
    display: grid;
    grid-row-gap: 20px;
    grid-template-areas:
        "header"
        "navBox"
        "content";
}

/*RESULTS TABLE*/
.eventResults {
    border: 3px solid #afb2b2;
    grid-area: content;
    background-color: #007ac3;
}

    .eventResults tr td {
        text-align: left;
        padding: 1rem;
    }

    .eventResults tr:nth-of-type(even) > td {
        background-color: #e6e6e6;
    }
/*STOP RESULTS TABLE*/

/*IMAGE MODAL POPUP*/
/* The Modal (background) */
.modal {
    display: none; 
    position: fixed; 
    z-index: 1; 
    padding-top: 100px; 
    left: 0;
    top: 0;
    width: 100%; 
    height: 100%; 
    overflow: auto; 
    background-color: rgb(0,0,0); 
    background-color: rgba(0,0,0,0.9); 
}

/* Modal Content (image) */
.modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
}

/* Add Animation */
.modal-content {
    -webkit-animation-name: zoom;
    -webkit-animation-duration: 0.6s;
    animation-name: zoom;
    animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
    from {
        -webkit-transform: scale(0)
    }

    to {
        -webkit-transform: scale(1)
    }
}

@keyframes zoom {
    from {
        transform: scale(0)
    }

    to {
        transform: scale(1)
    }
}

/* The Close Button */
.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

    .close:hover,
    .close:focus {
        color: #bbb;
        text-decoration: none;
        cursor: pointer;
    }

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px) {
    .modal-content {
        width: 100%;
    }
}
/*STOP IMAGE MODAL POPUP*/

@media only screen and (min-width: 550px) {
    article {
        background-color: green;
    }

    .content {
        background-color: green;
    }

    #wrapper {
        grid-template-columns: 1fr 6fr 1fr;
        grid-template-areas:
            "header header  header"
            "sidebar    navBox    rsidebar"
            "sidebar    content    rsidebar"
    }

    .navBox {
        grid-template-areas:
            "timeZoneLabel timeZoneList"
            "dateLabel dateList"
            "dateButton feedButton"
    }
}

@media only screen and (min-width: 1350px) {

    .content {
        background-color: blue;
    }

    #wrapper {
        grid-template-columns: 2fr 6fr 2fr;
        grid-template-areas:
            "header header  header"
            "sidebar    navBox    rsidebar"
            "sidebar    content    rsidebar"
    }

    .navBox {
        grid-template-areas:
            "timeZoneLabel timeZoneList dateButton"
            "dateLabel dateList feedButton"
    }
}

@media only screen and (min-width: 1700px) {

    .content {
        background-color: blue;
    }

    #wrapper {
        grid-template-columns: 2fr 1200px 2fr;
        grid-template-areas:
            "header header  header"
            "sidebar    navBox    rsidebar"
            "sidebar    content    rsidebar"
    }

    .navBox {
        grid-template-areas:
            "timeZoneLabel timeZoneList dateButton"
            "dateLabel dateList feedButton"
    }
}

